com.ihr.xbrl.dts

## Class FactUse

- java.lang.Object
- - com.ihr.xbrl.dts.FactUse

- Direct Known Subclasses:
    FactUseItem, FactUseTuple

      public abstract class FactUse
      extends java.lang.Object

  This is a concept item and the use of that concept item together. The use of the item may be for the beginning of a period, for the end of a period or normal use if there is no indication
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NORMAL` This constant indicates that the concept item is used without information about beginning or ending period.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactUse(XMLElementDefinition item, XBRLFactsList parent, RowKey rowKey)` Instantiates a new fact use.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `XMLElementDefinition` | `getItem()` Access to the item of this item use tuple.
    `XBRLFactsList` | `getParent()` Access to the parent of this item.
    `RowKey` | `getRowKey()` Access to the RowKey for this item.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NORMAL

          public static final int NORMAL

      This constant indicates that the concept item is used without information about beginning or ending period.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FactUse

          public FactUse(XMLElementDefinition item,
                 XBRLFactsList parent,
                 RowKey rowKey)

      Instantiates a new fact use.
      Parameters:
        `item` - the item
        `parent` - the parent
        `rowKey` - the row key

  - ### Method Detail

    - #### getItem

          public XMLElementDefinition getItem()

      Access to the item of this item use tuple.
      Returns:
        the item

    - #### getParent

          public XBRLFactsList getParent()

      Access to the parent of this item. This is either the instance document or a tuple
      Returns:
        the parent XBRLFactsContainer

    - #### getRowKey

          public RowKey getRowKey()

      Access to the RowKey for this item. This is an object that index data horizontally, No company data is used and no period information is used. Only Segment and Scenario data is used to classify by row.
      Returns:
        the rowKey

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`